<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDynPwrSave_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDynPwrSave_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Dynamic power saving API parameters.  
 <a href="structrl_dyn_pwr_save__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa129277a260586cc682c6fa27c4c933a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa129277a260586cc682c6fa27c4c933a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_pwr_save__t.html#aa129277a260586cc682c6fa27c4c933a">blkCfg</a></td></tr>
<tr class="memdesc:aa129277a260586cc682c6fa27c4c933a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable dynamic power saving during inter-chirp IDLE times by <br />
 turning off various circuits e.g. TX, RX, LO. 3 LSB is vaild <br />
 b0 Enable power save by switching off TX during inter-chirp IDLE period <br />
 0 Disable <br />
 1 Enable <br />
 b1 Enable power save by switching off RX during inter-chirp IDLE period <br />
 0 Disable <br />
 1 Enable <br />
 b2 Enable power save by switching off LO distribution during inter-chirp IDLE<br />
 period <br />
 0 Disable <br />
 1 Enable <br />
. <br /></td></tr>
<tr class="separator:aa129277a260586cc682c6fa27c4c933a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dd4d8da9e5732de3f2dca6192c6c24a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dd4d8da9e5732de3f2dca6192c6c24a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_pwr_save__t.html#a7dd4d8da9e5732de3f2dca6192c6c24a">reserved</a></td></tr>
<tr class="memdesc:a7dd4d8da9e5732de3f2dca6192c6c24a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a7dd4d8da9e5732de3f2dca6192c6c24a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Dynamic power saving API parameters. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
